### Type parameters

- #### T1

- #### T2

- #### T3

- #### T4

- #### R

### Hierarchy

- CurriedFunction4

### Callable

- __call(): CurriedFunction4<T1, T2, T3, T4, R>
- __call(t1: T1): CurriedFunction3<T2, T3, T4, R>
- __call(t1: __, t2: T2): CurriedFunction3<T1, T3, T4, R>
- __call(t1: T1, t2: T2): CurriedFunction2<T3, T4, R>
- __call(t1: __, t2: __, t3: T3): CurriedFunction3<T1, T2, T4, R>
- __call(t1: __, t2: __, t3: T3): CurriedFunction2<T2, T4, R>
- __call(t1: __, t2: T2, t3: T3): CurriedFunction2<T1, T4, R>
- __call(t1: T1, t2: T2, t3: T3): CurriedFunction1<T4, R>
- __call(t1: __, t2: __, t3: __, t4: T4): CurriedFunction3<T1, T2, T3, R>
- __call(t1: T1, t2: __, t3: __, t4: T4): CurriedFunction2<T2, T3, R>
- __call(t1: __, t2: T2, t3: __, t4: T4): CurriedFunction2<T1, T3, R>
- __call(t1: __, t2: __, t3: T3, t4: T4): CurriedFunction2<T1, T2, R>
- __call(t1: T1, t2: T2, t3: __, t4: T4): CurriedFunction1<T3, R>
- __call(t1: T1, t2: __, t3: T3, t4: T4): CurriedFunction1<T2, R>
- __call(t1: __, t2: T2, t3: T3, t4: T4): CurriedFunction1<T1, R>
- __call(t1: T1, t2: T2, t3: T3, t4: T4): R

- - Defined in node_modules/@types/lodash/common/function.d.ts:289

  #### Returns CurriedFunction4<T1, T2, T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:290

  #### Parameters

  - ##### t1: T1

  #### Returns CurriedFunction3<T2, T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:291

  #### Parameters

  - ##### t1: __

  - ##### t2: T2

  #### Returns CurriedFunction3<T1, T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:292

  #### Parameters

  - ##### t1: T1

  - ##### t2: T2

  #### Returns CurriedFunction2<T3, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:293

  #### Parameters

  - ##### t1: __

  - ##### t2: __

  - ##### t3: T3

  #### Returns CurriedFunction3<T1, T2, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:294

  #### Parameters

  - ##### t1: __

  - ##### t2: __

  - ##### t3: T3

  #### Returns CurriedFunction2<T2, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:295

  #### Parameters

  - ##### t1: __

  - ##### t2: T2

  - ##### t3: T3

  #### Returns CurriedFunction2<T1, T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:296

  #### Parameters

  - ##### t1: T1

  - ##### t2: T2

  - ##### t3: T3

  #### Returns CurriedFunction1<T4, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:297

  #### Parameters

  - ##### t1: __

  - ##### t2: __

  - ##### t3: __

  - ##### t4: T4

  #### Returns CurriedFunction3<T1, T2, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:298

  #### Parameters

  - ##### t1: T1

  - ##### t2: __

  - ##### t3: __

  - ##### t4: T4

  #### Returns CurriedFunction2<T2, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:299

  #### Parameters

  - ##### t1: __

  - ##### t2: T2

  - ##### t3: __

  - ##### t4: T4

  #### Returns CurriedFunction2<T1, T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:300

  #### Parameters

  - ##### t1: __

  - ##### t2: __

  - ##### t3: T3

  - ##### t4: T4

  #### Returns CurriedFunction2<T1, T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:301

  #### Parameters

  - ##### t1: T1

  - ##### t2: T2

  - ##### t3: __

  - ##### t4: T4

  #### Returns CurriedFunction1<T3, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:302

  #### Parameters

  - ##### t1: T1

  - ##### t2: __

  - ##### t3: T3

  - ##### t4: T4

  #### Returns CurriedFunction1<T2, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:303

  #### Parameters

  - ##### t1: __

  - ##### t2: T2

  - ##### t3: T3

  - ##### t4: T4

  #### Returns CurriedFunction1<T1, R>

- - Defined in node_modules/@types/lodash/common/function.d.ts:304

  #### Parameters

  - ##### t1: T1

  - ##### t2: T2

  - ##### t3: T3

  - ##### t4: T4

  #### Returns R

Generated using TypeDoc